package com.ruoyi.base.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 播报内容对象 robot_ops_broadcast_content
 * 
 * @author ruoyi
 * @date 2026-04-27
 */
public class RobotOpsBroadcastContent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 播报内容名称 */
    @Excel(name = "播报内容名称")
    private String contentName;

    /** 内容分类 */
    @Excel(name = "内容分类")
    private Long contentType;

    /** 播报文本 */
    @Excel(name = "播报文本")
    private String broadcastText;

    /** 启用状态：0停用，1启用 */
    @Excel(name = "启用状态：0停用，1启用")
    private String status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setContentName(String contentName) 
    {
        this.contentName = contentName;
    }

    public String getContentName() 
    {
        return contentName;
    }

    public void setContentType(Long contentType) 
    {
        this.contentType = contentType;
    }

    public Long getContentType() 
    {
        return contentType;
    }

    public void setBroadcastText(String broadcastText) 
    {
        this.broadcastText = broadcastText;
    }

    public String getBroadcastText() 
    {
        return broadcastText;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("contentName", getContentName())
            .append("contentType", getContentType())
            .append("broadcastText", getBroadcastText())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
